using System;

using CommonHelpers;

namespace SqlCatPP {

//**************************************************************************************************
public static class SqlPPExceptionCreator {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/// <exception cref="ArgumentNullException" />
public static SqlPPException Create(string messageFmt,params object[] parameters)
{
   HArgChecking.VerifyNotNulls( messageFmt, parameters );
   return new SqlPPException( string.Format( messageFmt, parameters ) );
}
/// <exception cref="ArgumentNullException" />
public static SqlPPException Create(Exception error)
{
   HArgChecking.VerifyNotNull( error );
   return new SqlPPException( HException.GetErrorMessage( error ) );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // SqlPPExceptionCreator
//**************************************************************************************************

} // SqlCatPP
